> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Hris Expense

> Owner deletes a pending line item from an editable report and recalculates the report total.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/delete-hris-expense
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/delete-hris-expense:
    post:
      operationId: deleteHrisExpense
      summary: Delete Hris Expense
      description: >-
        Owner deletes a pending line item from an editable report and
        recalculates the report total.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteHrisExpenseRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteHrisExpenseResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    DeleteHrisExpenseRequest:
      type: object
      properties:
        hrisExpenseID:
          type: string
          format: uuid
      required:
        - hrisExpenseID
    DeleteHrisExpenseResponse:
      type: object
      properties:
        deleted:
          const: true
      required:
        - deleted
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
